| Home | Libraries | People | FAQ | More

## Struct template power_typeof_helper<unit< Dim, System >, static_rational< N, D >>

boost::units::power_typeof_helper<unit< Dim, System >, static_rational< N, D >> — raise unit to a `static_rational` power

## Synopsis

    // In header: <boost/units/unit.hpp>

    template<typename Dim, typename System, long N, long D>
    struct power_typeof_helper<unit< Dim, System >, static_rational< N, D >> {
      // types
      typedef unit< typename static_power< Dim, static_rational< N, D > >::type, typename static_power< System, static_rational< N, D > >::type > type;

      // public static functions
      static type value(const unit< Dim, System > &);
    };

## Description

### `power_typeof_helper` public static functions

1.     static type value(const unit< Dim, System > &);